using System.Drawing;

namespace View_by_Distance.Shared.Models;

public record LocationContainer<T>(DateOnly CreationDateOnly,
                                   IReadOnlyList<T> Directories,
                                   int? DirectoryNumber,
                                   string DisplayDirectoryName,
                                   string File,
                                   bool FromDistanceContent,
                                   int Id,
                                   Location? Location,
                                   long PersonKey,
                                   RectangleF? Rectangle,
                                   int WholePercentages);