using System.Text.Json;
using System.Text.Json.Serialization;

namespace View_by_Distance.Shared.Models;

public record MappingFromLocation(int AreaPermyriad,
                                  int ConfidencePercent,
                                  string DeterministicHashCodeKey,
                                  int? Eyeα,
                                  bool? EyeReview,
                                  int WholePercentages)
{

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, MappingFromLocationGenerationContext.Default.MappingFromLocation);
        return result;
    }

}

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(MappingFromLocation))]
public partial class MappingFromLocationGenerationContext : JsonSerializerContext
{
}