namespace View_by_Distance.Shared.Models.Stateless.Methods;

public interface ISortingContainer
{ // ...

    List<Models.SortingContainer> TestStatic_Sort(List<Models.SortingContainer> collection) =>
        Sort(collection);
    static List<Models.SortingContainer> Sort(List<Models.SortingContainer> collection) =>
        (from l in collection orderby l.Sorting.DistancePermyriad select l).ToList();
    static List<Models.SortingContainer> SortUsingDaysDelta(List<Models.SortingContainer> collection) =>
        (from l in collection orderby l.Sorting.DistancePermyriad, l.Sorting.DaysDelta select l).ToList();

}