using System.Text.Json;
using System.Text.Json.Serialization;

namespace View_by_Distance.Metadata.Models;

public record Avi(string? FramesPerSecond1,
                  string? SamplesPerSecond2,
                  string? Duration3,
                  string? VideoCodec4,
                  string? AudioCodec5,
                  string? Width6,
                  string? Height7,
                  string? Streams8,
                  string? DateTimeOriginal320)
{

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, AviSourceGenerationContext.Default.Avi);
        return result;
    }

}

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(Avi))]
public partial class AviSourceGenerationContext : JsonSerializerContext
{
}