using System.Text.Json;
using System.Text.Json.Serialization;

namespace View_by_Distance.Shared.Models;

public record MappingFromFilterPost(bool? CanReMap,
                                    bool? InSkipCollection,
                                    bool? IsFocusPerson)
{

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, MappingFromFilterPostGenerationContext.Default.MappingFromFilterPost);
        return result;
    }

}

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(MappingFromFilterPost))]
public partial class MappingFromFilterPostGenerationContext : JsonSerializerContext
{
}